﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using Telerik.Web.UI;

namespace My
{
    public class Grid : RadGrid
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            Page.Init += new EventHandler(Page_Init);
        }

        void Page_Init(object sender, EventArgs e)
        {
            ScriptManager scriptManager = null;
            RadAjaxManager ajaxManager = null;

            foreach (Control control in Page.Form.Controls)
            {
                if (control is ScriptManager) scriptManager = (ScriptManager)control;
                if (control is RadAjaxManager) ajaxManager = (RadAjaxManager)control;
            }

            if (scriptManager == null)
            {
                scriptManager = new RadScriptManager { ID = "RadScriptManager1" };
                Page.Form.Controls.AddAt(0, scriptManager);
            }

            if (ajaxManager == null)
            {
                ajaxManager = new RadAjaxManager { ID = "RadAjaxManager1" };
                Page.Form.Controls.AddAt(1, ajaxManager);
            }
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            RadAjaxManager ajaxManager = RadAjaxManager.GetCurrent(Page);
            ajaxManager.AjaxSettings.AddAjaxSetting(this, this);
        }
    }
}